Device Requirements

The Albert app for Android and iPhone supports the following operating systems:

Android: 5.0 or greater

iPhone: iOS 11.0 or greater

If your operating system is supported, you’ll be able to receive regular updates to the Albert app and you'll be able to access new features as they become available. For the best experience, we recommend updating your device to the latest available operating system.

What happens when my operating system isn’t supported anymore?

When we no longer support an operating system, you can continue to use the Albert app, but you won’t receive any further updates and you won’t have access to any new features we publish.
Over time, you may begin to experience slow performance or other issues as Albert continues to publish new features and make changes. You won’t be able to update the app to fix these issues.
We recommend using a device with a supported operating system for the best experience using Albert.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

0 comments

Please sign in to leave a comment.